## org.eclipse.emf.common.ui
Class DiagnosticComposite.TextProvider

    java.lang.Object
      org.eclipse.emf.common.ui.DiagnosticComposite.TextProvider

Direct Known Subclasses:
  ProblemEditorPart.TextProvider

Enclosing class:
  DiagnosticComposite

    public static class DiagnosticComposite.TextProvider

extends java.lang.Object

Constructor Summary
`DiagnosticComposite.TextProvider()`

Method Summary
`java.lang.String` `getDetail(Diagnostic diagnostic)` Returns the text associated to be displayed in the detail text when a a diagnostic is selected in the tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagnosticComposite.TextProvider

    public DiagnosticComposite.TextProvider()

Method Detail

### getDetail

    public java.lang.String getDetail(Diagnostic diagnostic)

  Returns the text associated to be displayed in the detail text when a a diagnostic is selected in the tree.

  Parameters:
    `diagnostic` -
  Returns:
    a not null String

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.